 <?php
                        
  require_once ('../inventario/conexion.php');

  $objconexion = new conexion();

   $sentenciaselect = "SELECT 
historial_impresora.serial_impresora,
 historial_impresora.marca_impresora,
  historial_impresora.ip,
   estado_equipo.nombre_estadoequipo, 
   historial_impresora.fecha_historial,
    historial_impresora.observacion
   from historial_impresora,estado_equipo
    where historial_impresora.estado_impresora=estado_equipo.id_estadoequipo 
     and historial_impresora.serial_impresora= (case when NOT EXISTS(select historial_impresora.serial_impresora from historial_impresora where historial_impresora.serial_impresora ='". $_GET['var1']."') then historial_impresora.serial_impresora else '". $_GET['var1']."' end)";

    $arreglo = $objconexion->consultararraynum($sentenciaselect);
    mostrar($arreglo);

    function mostrar($inarreglo)
    {
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
    echo "<tr>";
    $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

    echo "<td>";
    echo $inarreglo[$i][$j];
    echo "</td>";


    }
    echo "</tr>";
    }
    }


?>